Download it now!
Bug 43364 - Export to Hybrid PDF with "Always save as" option other than an ODF Text Document zip archive errors when reopening in LibreOffice
Summary: Export to Hybrid PDF with "Always save as" option other than an ODF Text Docu...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2011-11-29 23:00 UTC by Edward Sanford Sutton, III
Modified: 2019-12-09 03:39 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edward Sanford Sutton, III 2011-11-29 23:00:47 UTC
Creating a hybrid .pdf breaks if "tools>options>load/save>general>default file format and ODF settings>Always save as" is not set to ODF text document. As far as I can tell, it likely is still appending the original file to the end of the pdf, but in the format specified by that setting. Upon trying to open it, a non pdf+odf file fails including a pdf+.docx file.
  It would be good if the failure "General Error.\nGeneral input/output error." could be handled as just a non-hybrid pdf to open instead unless a way to read other document formats off the end (.docx is also a .zip right?) More importantly, exporting a hybrid pdf should always export only the odf.
Tested on LibO3.4.4 on Windows Vista 32bit with PDF import 1.0.5 and FreeBSD-amd64 with LibO3.3.3 PDF import 1.0.3 though I noticed it breaking back when hybrid PDFs were first available.
Comment 1 ign_christian 2013-06-19 03:31:12 UTC
I also confirm this issue using steps on Bug 60478:
1. Create new Text Document (File -> New -> Text Document)
2. Enter some text (E.g. 'Hello world')
3. Export as Hybrid PDF (File -> Export as PDF... -> Select 'Embed OpenDocument
4. file' checkbox -> Export)
5. Choose filename ('TestHyb') -> Save
6. Close document (Ctrl+w -> Discard Changes)
7. Open the Hybrid PDF (Ctrl+o -> TestHyb.pdf -> Open)
8. See error message:
General Error.
General input/output error.

Before doing steps above, set options below:
Menu: Tools > Options > Load/Save (General) > Always save as > [choose anything other than ODF default format]

>   It would be good if the failure "General Error.\nGeneral input/output
> error." could be handled as just a non-hybrid pdf to open instead unless a
> way to read other document formats off the end (.docx is also a .zip right?)
> More importantly, exporting a hybrid pdf should always export only the odf.
I agree, it should be can be opened (at least) with Draw.

Tested on LO 4.0.4.2 (Win7 32bit)
Comment 2 QA Administrators 2015-04-01 14:40:03 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-04-19 14:41:11 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI
Comment 4 João Paulo 2016-01-28 14:30:30 UTC
On Windows 8 Pro 64 bits, LibreOffice 5.0.4.2 64 bits, Build ID 2b9802c1994aa0b7dc6079e128979269cf95bc78, it's not possible to open hybrid PDFs. It gives the following error message:

"General Error.
General input/output error."

I tried also with LibreOffice 5.0.2.2 64 bits on Mac OS X 10.11 with the same resulting error.

Even if I changed the (default and ad-hoc) file format to .ODT or .FODT the hybrid PDFs generated can't be opened. I don't have any older hybrid PDF saved when it worked to test if the error was on the generated PDF or LibreOffice opening it.

It would be great if this feature worked again, I could save everything as PDF (I'm glad I didn't do that) and then wouldn't need two files with the same content on my storage.
Comment 5 V Stuart Foote 2016-08-09 15:16:46 UTC
Confirming on Windows 10 Pro 64-bit en-US with
Version: 5.2.0.4 (x64)
Build ID: 066b007f5ebcc236395c7d282ba488bca6720265
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
Locale: en-US (en_US)

Set the Tools -> Options -> Load Save -> General: "Always Save As" drop down to "Open Office XML Text", or even to "Flat XML ODF Text Document"--seemingly anything other than "ODF Text Document".

Export to PDF using the Hybrid PDF check box.

The exported PDF are readable as PDF in Reader or Acrobat, etc.

But attempting to reopen the Hybrid PDF with LibreOffice it errors:

General Error.
General input/output error.

Returning the "Always Save As" to "ODF Text Document" again exports Hybrid PDF that are readable with out issue.

So the question here is if our handling of Hybrid PDF -- creation or extracting -- should support other formats than ODF zipped archives?  

And if only ODF zip archives, the PDF export filter should not allow the not-ODF zip archive format to be embedded.  Or if allowed, the import filter will need to be adjusted.
Comment 6 QA Administrators 2017-10-30 08:33:15 UTC Comment hidden (obsolete)
Comment 7 Torsten Bronger 2018-03-02 08:05:50 UTC
I can confirm this bug with lowriter Version 5.4.5.1, Build ID: 1:5.4.5-0ubuntu0.17.10.4.
Comment 8 Roman Kuznetsov 2018-12-08 12:03:37 UTC
still repro in

Версия: 6.2.0.0.beta1+
ID сборки: 5fd429a3e20d0fb91d96be9ded39f81325432509
Потоков ЦП: 4; ОС:Linux 4.18; Отрисовка ИП: по умолчанию; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2018-12-01_09:52:45
Локаль: ru-RU (ru_RU.UTF-8); UI-Language: ru-RU
Calc: threaded
Comment 9 QA Administrators 2019-12-09 03:39:29 UTC
Dear Edward Sanford Sutton, III,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug